Loading...
Searching...
No Matches
uhd::memmap32_iface Struct Reference

Represents a 32-bit, memory-mapped interface (peek/poke). More...

`#include <uhd/types/memmap_iface.hpp>`

## Public Types

using | poke32_fn_t = std::function<void(const uint32_t addr, const uint32_t data)>
using | peek32_fn_t = std::function<uint32_t(const uint32_t addr)>

## Public Attributes

poke32_fn_t | poke32
peek32_fn_t | peek32

## Detailed Description

Represents a 32-bit, memory-mapped interface (peek/poke).

## Member Typedef Documentation

## peek32_fn_t

using uhd::memmap32_iface::peek32_fn_t = std::function<uint32_t(const uint32_t addr)>

## poke32_fn_t

using uhd::memmap32_iface::poke32_fn_t = std::function<void(const uint32_t addr, const uint32_t data)>

## Member Data Documentation

## peek32

peek32_fn_t uhd::memmap32_iface::peek32

## poke32

poke32_fn_t uhd::memmap32_iface::poke32

The documentation for this struct was generated from the following file:

- memmap_iface.hpp